
package jworms.test;

import jworms.network.GameInfo;
import jworms.network.UDPNetwork;
import jworms.network.UDPNetworkListener;

import java.io.DataInputStream;
import java.io.IOException;

public class UDPNetworkTest {
  /**
   * Creates a host and one who joins the host for testing UDP network.
   *
   * @param args no arguments
   */
  public static void main(String[] args) throws InterruptedException {
    UDPNetworkTestHost host = new UDPNetworkTestHost();

    // host opens a game
    host.start();

    Thread.sleep(200);

    // other looks for games
    UDPNetworkTestJoiner joiner = new UDPNetworkTestJoiner();
  }

  public static void testAbortThread() throws IOException, InterruptedException {
    UDPNetwork other = new UDPNetwork();
    other.lookForGames();
    Thread.sleep(2000);
    other.lookForGames();
    Thread.sleep(2000);
    other.joinGame(new GameInfo("Test game!!!", 1, 1, UDPNetwork.FIRST_GAME_PORT));
  }
}
