
package jworms.test;

import jworms.network.GameInfo;
import jworms.network.UDPNetwork;
import jworms.network.UDPNetworkListener;

import java.net.SocketException;
import java.io.DataInputStream;

public class UDPNetworkTestHost extends Thread implements UDPNetworkListener {
// static
  public static void main(String[] args) {
    UDPNetworkTestHost host = new UDPNetworkTestHost();

    // run thread
    host.start();

    // endless waiting
    try{
      while(true) Thread.sleep(1000);
    } catch(InterruptedException e){
    }
  }

// non static
  public void run(){
    UDPNetwork host = new UDPNetwork();
    host.addUDPNetworkListener(this);
    // host opens a game
    try{
      host.openGame("Test game", 8);
    } catch(SocketException e){
      System.out.println("Error opening game : " + e.getMessage());
    }
  }

  public void receivePacket() {
  }

  public void gameJoined(int id) {
  }

  public void receivePacket(DataInputStream in) {
  }

  public void foundGame(GameInfo gameInfo) {
  }
}
